import * as smartfile from '@push.rocks/smartfile';

export async function getInvoice(filePath: string): Promise<Buffer> {
  const file = await smartfile.fs.toBuffer('./test/assets/corpus/' + filePath);
  return file;
}

export const invoices = {
  ZUGFeRDv2: {
    correct: {
      intarsys: {
        BASIC: {
          'zugferd_2p0_BASIC_Einfach.pdf': 'ZUGFeRDv2/correct/intarsys/BASIC/zugferd_2p0_BASIC_Einfach.pdf'
        }
      }
    }
  }
}

export const letterObjects = {
  letter1: await import('./letter/letter1.js'),
}